#
# spec file for package bitwise
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2020-2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bitwise
Version:        0.50
Release:        1.6
Summary:        Interactive bit-wise operation in ncurses
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://github.com/mellowcandle/bitwise
Source:         https://github.com/mellowcandle/bitwise/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(cunit)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(readline)

%description
Bitwise is a multi base interactive calculator supporting dynamic base
conversion and bit manipulation. It's a handy tool for low level
hackers, kernel developers and device drivers developers.

Some of the features include:
 * Interactive ncurses interface command line calculator.
 * Individual bit manipulator.
 * Bitwise operations such as NOT, OR, AND, XOR, and shifts.

%prep
%autosetup

%build
autoreconf -fiv
export CFLAGS="%{optflags} $(pkg-config --cflags --libs ncursesw)"
%configure
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%doc ChangeLog README README.md
%{_bindir}/bitwise
%{_mandir}/man1/bitwise.1%{?ext_man}

%changelog
* Mon Aug 21 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 0.50
  * Enhancements:
    + Add r command to reverse endianess
    + Allow shortening of commands
  * Bug Fixes:
    + Disable mouse events in interactive command mode
    + Fix backward key not working in some terminals
    + Fix divide by zero crash
    + Fit bit function overflow
* Mon Nov  1 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.43
  * Add support for IPv4 parsing and output in command line mode
  * Fix compiler warnings
* Fri Apr 16 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.42
  * Add support for leading 0 on binary numbers
* Tue Apr  6 2021 Martin Hauke <mardnh@gmx.de>
- Add "-Wl,--start-group" to CFLAGS to fix Tumbeweed linking
  errors.
* Sun Dec  6 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.41
